getBonusLocalFirst(Selector::source(Bonus::SPELL"> getBonusLocalFirst(Selector::source(Bonus::SPELL">
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001390VCMIGUI - Battlespublic2013-08-01 07:032016-11-11 08:26
ReporterWarmonger 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target Version0.94Fixed in Version0.98d 
Summary0001390: Crash in creaure window after multiple Blind / Stone gaze casts
DescriptionWhen petrify / blind is cast by creature for first time, everything works fine. Bonuses are stored in "bonuses" field and dissapear after stack is attacked. However, after next casts, debugger shows that this line fails:

int duration = battleStack->getBonusLocalFirst(Selector::source(Bonus::SPELL_EFFECT,effect))->turnsRemain;

Indeed, spell bonuses are now stored in "exportedBonuses" field rather that just "bonuses" and are never accessed.
Steps To ReproduceUse attached map, attack Basilisks with Sir Mullich.
TagsNo tags attached.
Attached Files? file icon Testy4 Power Rating.h3m [^] (3,375 bytes) 2013-08-01 07:06

- Relationships
related to 0001359closedAVS Incorrect turn order in battle, related to Basilisks petrification 
related to 0000528resolvedAVS Blind spell implemented incorrectly 
parent of 0001398closedWarmonger Bag poison vivern 
has duplicate 0001466closedAVS incorrect work spell blind 
has duplicate 0001809closedAVS ability skorpikor (and crash for RMB) 
related to 0001801new Crash during battle 
related to 0001806closedAVS ability scorpicor not lost, after hitting unit. 
related to 0001915closedAVS Frenzy - crash 
child of 0002185closedAVS Bonus system: incorrect usage of CBonusSystemNode::bonuses 

-  Notes
(0004122)
beegee (developer)
2013-11-10 16:48

The bug comes from the bonus system caching. If it's deactivated the blind spell disappears correctly and you can open the creature window. Perhaps the problems of the related mantis points depend as well on caching.

Without caching the battle runs a few times slower, especially if they're stacks which can fly.

The whole bonus system is quite complex. We can disable caching for now till the caching bugs are fixed. I think it's better to re-design some parts of the caching/bonus system than to fix bugs in the way it's cached currently. Perhaps I have more time in december to look into this problem extensively.
(0005847)
AVS (administrator)
2015-09-14 13:20

should be already fixed

- Issue History
Date Modified Username Field Change
2013-08-01 07:03 Warmonger New Issue
2013-08-01 07:03 Warmonger Relationship added related to 0001359
2013-08-01 07:04 Warmonger Relationship added related to 0000528
2013-08-01 07:05 Warmonger Assigned To => Tow
2013-08-01 07:05 Warmonger Status new => assigned
2013-08-01 07:06 Warmonger File Added: Testy4 Power Rating.h3m
2013-08-01 07:06 Warmonger Steps to Reproduce Updated View Revisions
2013-08-04 05:46 Warmonger Relationship added parent of 0001398
2013-09-13 16:26 Warmonger Relationship added has duplicate 0001466
2013-11-10 16:48 beegee Note Added: 0004122
2014-06-13 20:41 Warmonger Relationship added related to 0001801
2014-06-28 19:40 Warmonger Relationship added parent of 0001809
2014-12-20 10:53 Warmonger Relationship added related to 0001806
2014-12-20 10:54 Warmonger Relationship replaced has duplicate 0001809
2015-04-03 09:17 Warmonger Relationship added related to 0001915
2015-04-13 04:04 AVS Assigned To Tow => AVS
2015-04-13 04:59 AVS Relationship added child of 0002185
2015-09-14 13:20 AVS Note Added: 0005847
2015-09-14 13:20 AVS Status assigned => resolved
2015-09-14 13:20 AVS Fixed in Version => 0.98d
2015-09-14 13:20 AVS Resolution open => fixed
2016-11-11 08:26 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean